tigase.server.sreceiver

## Enum TaskInstanceCommand.ACTION

- java.lang.Object
- - java.lang.Enum<TaskInstanceCommand.ACTION>
  - - tigase.server.sreceiver.TaskInstanceCommand.ACTION

- All Implemented Interfaces:
    Serializable, Comparable<TaskInstanceCommand.ACTION>
  Enclosing class:
    TaskInstanceCommand

      public static enum TaskInstanceCommand.ACTION
      extends Enum<TaskInstanceCommand.ACTION>

  Enum description

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `REMOVE_TASK`
    `TASK_CONFIGURATION`
    `USER_MANAGEMENT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String[]` | `strValues()` Method description
    `static TaskInstanceCommand.ACTION` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TaskInstanceCommand.ACTION[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TASK_CONFIGURATION

          public static final TaskInstanceCommand.ACTION TASK_CONFIGURATION

    - #### USER_MANAGEMENT

          public static final TaskInstanceCommand.ACTION USER_MANAGEMENT

    - #### REMOVE_TASK

          public static final TaskInstanceCommand.ACTION REMOVE_TASK

  - ### Method Detail

    - #### values

          public static TaskInstanceCommand.ACTION[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TaskInstanceCommand.ACTION c : TaskInstanceCommand.ACTION.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TaskInstanceCommand.ACTION valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### strValues

          public static String[] strValues()

      Method description

Copyright © 2022 "Tigase, Inc.". All rights reserved.